args.c File Reference

Argument parsing. More...

`#include "private.h"`
`#include "getopt.h"`
`#include <ctype.h>`

## Functions

static void | parse_memlimit (const char *name, const char *name_percentage, char *str, bool set_compress, bool set_decompress)
| Parse and set the memory usage limit for compression and/or decompression. More...
static void | parse_block_list (char *str)
static void | parse_real (args_info *args, int argc, char **argv)
static void | parse_environment (args_info *args, char *argv0, const char *varname)
void | args_parse (args_info *args, int argc, char **argv)
void | args_free (void)

## Variables

bool | opt_stdout = false
bool | opt_force = false
bool | opt_keep_original = false
bool | opt_robot = false
bool | opt_ignore_check = false
const char | stdin_filename [] = "(stdin)"

## Detailed Description

Argument parsing.

Note
  Filter-specific options parsing is in options.c.

## Function Documentation

## parse_memlimit()

static void parse_memlimit | ( | const char * | name,
|  | const char * | name_percentage,
|  | char * | str,
|  | bool | set_compress,
|  | bool | set_decompress
| ) |  |

static

Parse and set the memory usage limit for compression and/or decompression.